# [OmniOS-discuss] Samba4 recipe

John D Groenveld jdg117 at elvis.arl.psu.edu
Sat May 7 01:44:45 UTC 2016

- Previous message: [OmniOS-discuss] SECURITY UPDATE -> libxml2 and two CVEs
- Next message: [OmniOS-discuss] Samba4 recipe
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

    Just some notes for building Samba4 on r151018.

    John
    groenveld at acm.org

    # pkg install developer/gcc51  developer/pkg-config \
    developer/parser/bison developer/build/gnu-make \
    developer/object-file system/library/math system/header

    <URL:https://ftp.gnu.org/gnu/nettle/>
    Munge config.make link to add -shared

    $ env PATH=/usr/bin:/usr/sbin:/usr/ccs/bin:/usr/gnu/bin:/usr/sfw/bin \
    CC=gcc CFLAGS="-m64 -O3" LDFLAGS=-m64 \
    ./configure --prefix=/opt/nettle --disable-static --enable-shared \
    --disable-assembler --enable-mini-gmp

    <URL:http://ftp.gnu.org/gnu/libtasn1/>
    $ env PATH=/usr/bin:/usr/sbin:/usr/ccs/bin:/usr/gnu/bin:/usr/sfw/bin \
    CC=gcc CFLAGS="-m64 -O3" LDFLAGS=-m64 \
    ./configure --prefix=/opt/libtasn1 --disable-static --enable-shared

    <URL:https://ftp.gnu.org/gnu/gnutls/>
    $ env PATH=/usr/bin:/usr/sbin:/usr/ccs/bin:/usr/gnu/bin:/usr/sfw/bin \
    CC=gcc CFLAGS="-m64 -O3" CXXFLAGS="-m64 -O3" \
    CPPFLAGS="-I/opt/nettle/include -I/opt/libtasn1/include" \
    LDFLAGS="-m64 -R/opt/nettle/lib -R/opt/libtasn1/lib" \
    PKG_CONFIG_PATH=/usr/lib/pkgconfig:/opt/nettle/lib/pkgconfig:/opt/libtasn1/lib/pkgconfig \
    ./configure --prefix=/opt/gnutls --disable-static --enable-shared \
    --without-p11-kit --without-tpm

    <URL:https://wiki.samba.org/index.php/Setup_a_Samba_Active_Directory_Domain_Controller>
    64-bit python expects modules under 64/ directories

    $ env PATH=/usr/bin:/usr/sbin:/usr/ccs/bin:/usr/gnu/bin:/usr/sfw/bin:/opt/gnutls/bin CC=gcc CFLAGS=-m64 CPPFLAGS=-I/opt/gnutls/include \
    LDFLAGS="-m64 -R/opt/gnutls/lib" \
    PKG_CONFIG_PATH=/usr/lib/pkgconfig:/opt/gnutls/lib/pkgconfig:/opt/nettle/lib/pkgconfig:/opt/libtasn1/lib/pkgconfig \
    ./configure --prefix=/opt/samba --sysconfdir=/etc/opt/samba \
    --localstatedir=/var/opt/samba --enable-gnutls \
    --with-privatedir=/var/opt/samba/private --with-ntvfs-fileserver

    # env PATH=/usr/bin/amd64:/usr/bin:/usr/sbin:/usr/ccs/bin:/opt/samba/bin:/opt/samba/sbin:/usr/bin \
     samba-tool domain provision --use-rfc2307 --use-ntvfs --interactive

- Previous message: [OmniOS-discuss] SECURITY UPDATE -> libxml2 and two CVEs
- Next message: [OmniOS-discuss] Samba4 recipe
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

More information about the OmniOS-discuss mailing list